gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Box An HBox is a specific type of for packing widgets horizontally.

Other ways of laying out widgets include using a vertical box, (see ), a table, (see ), button boxes, etc.

Useful methods for manipulating boxes can be found in the superclass for HBox, .

`using System; using Gtk; class HBoxTester { static void Main () { Application.Init (); Window myWindow = new Window ("HBox Widget"); HBox myBox = new HBox (false, 4); //Add some buttons to the horizontal box AddButton (myBox); AddButton (myBox); //Add the box to a Window container myWindow.Add (myBox); myWindow.ShowAll (); Application.Run (); } static void AddButton (HBox box) { box.PackStart (new Button ("Button"), true, false, 0); } }` `Imports System Imports Gtk Class HBoxTester Shared Sub Main () Application.Init () Dim myWindow As New Window ("HBox Widget") Dim myBox As New HBox (False, 0) ' Add the box to a Window container myWindow.Add (myBox) myWindow.SetDefaultSize (250, 40) ' Add some buttons to the box HBoxTester.AddButton (myBox) HBoxTester.AddButton (myBox) HBoxTester.AddButton (myBox) myWindow.ShowAll () Application.Run () End Sub Shared Sub AddButton (ByVal box As HBox) box.PackStart (New Button ("Button"), True, False, 0) End Sub End Class`
- Constructor
  2.12.0.0
  Default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  If , all widgets in the box are forced to be equally sized.
  The number of pixels to place between each widget in the box.
  The main way to create a new HBox.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .